Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » EMF » Help with installing EMF Feature Model Diagram Editor(will not install on Mars Modelling Release, what is it known to work on?)
Help with installing EMF Feature Model Diagram Editor [message #1702083] Sun, 19 July 2015 09:23 Go to next message
David Roberts is currently offline David RobertsFriend
Messages: 3
Registered: July 2015
Junior Member
Hi,

Please can you help or let me know what I am doing wrong.
Does anyone know if the EMF Feature Model Diagram Editor runs on Mars?
If not, which release?

I'm trying to install the EMF Feature Model Diagram Editor on the Mars release.

1. Installed mars modelling package 64bits on Windows 7 (64bit)
from : https://www.eclipse.org/downloads/packages/eclipse-modeling-tools/marsr

Run Eclipse:

2. help->install new software:
- from https://wiki.eclipse.org/EMF_Feature_Model/Feature_Diagram_Editor:
- add:

Name: emf feature model
Location: https://wiki.eclipse.org/EMF_Feature_Model#Installation
Pending..., then:

EMF Feature Model:

- EMF Feature Model Meta Model 0.8.0
- EMF Feature Model Evaluation 0.8.0
- EMF Feature Diagram Editor 0.8.0

Select all
Next

Wait a while... then this is displayed:

Feature Diagram Editor will not be installed.
Click on Show Original Error:

Details:
Cannot complete the install because one or more required items could not be found.
Software being installed: Feature Diagram Editor 0.8.0 (org.eclipse.featuremodel.diagrameditor.feature.feature.group 0.8.0)
Missing requirement: Feature Diagram Editor 0.8.0 (org.eclipse.featuremodel.diagrameditor 0.8.0) requires 'bundle org.eclipse.emf.ecoretools.diagram 1.0.0' but it could not be found
Cannot satisfy dependency:
From: Feature Diagram Editor 0.8.0 (org.eclipse.featuremodel.diagrameditor.feature.feature.group 0.8.0)
To: org.eclipse.featuremodel.diagrameditor [0.8.0]

Cancel

3. Did some google searching. Looks like this is part of ecoretools?

Then Help-> Install Modelling Components
Pick EcoreTools (updates)
A Ecore Diagram Editor, version 3.0.0.201507011611 is listed.

That is installed, successfully and Eclipse restarts.

Repeat Step 2 above.

Same Error.
Re: Help with installing EMF Feature Model Diagram Editor [message #1702174 is a reply to message #1702083] Mon, 20 July 2015 13:17 Go to previous message
Ed Merks is currently offline Ed MerksFriend
Messages: 30353
Registered: July 2009
Senior Member
David,

I answered your post in the newcomers forum.

On 20/07/2015 2:51 PM, David Roberts wrote:
> Hi,
>
> Please can you help or let me know what I am doing wrong.
> Does anyone know if the EMF Feature Model Diagram Editor runs on Mars?
> If not, which release?
> I'm trying to install the EMF Feature Model Diagram Editor on the Mars
> release.
>
> 1. Installed mars modelling package 64bits on Windows 7 (64bit)
> from :
> https://www.eclipse.org/downloads/packages/eclipse-modeling-tools/marsr
>
> Run Eclipse:
>
> 2. help->install new software:
> - from
> https://wiki.eclipse.org/EMF_Feature_Model/Feature_Diagram_Editor:
> - add:
>
> Name: emf feature model
> Location: https://wiki.eclipse.org/EMF_Feature_Model#Installation
> Pending..., then:
>
> EMF Feature Model:
>
> - EMF Feature Model Meta Model 0.8.0
> - EMF Feature Model Evaluation 0.8.0
> - EMF Feature Diagram Editor 0.8.0
>
> Select all
> Next
>
> Wait a while... then this is displayed:
>
> Feature Diagram Editor will not be installed.
> Click on Show Original Error:
>
> Details:
> Cannot complete the install because one or more required items could
> not be found.
> Software being installed: Feature Diagram Editor 0.8.0
> (org.eclipse.featuremodel.diagrameditor.feature.feature.group 0.8.0)
> Missing requirement: Feature Diagram Editor 0.8.0
> (org.eclipse.featuremodel.diagrameditor 0.8.0) requires 'bundle
> org.eclipse.emf.ecoretools.diagram 1.0.0' but it could not be found
> Cannot satisfy dependency:
> From: Feature Diagram Editor 0.8.0
> (org.eclipse.featuremodel.diagrameditor.feature.feature.group 0.8.0)
> To: org.eclipse.featuremodel.diagrameditor [0.8.0]
>
> Cancel
> 3. Did some google searching. Looks like this is part of ecoretools?
>
> Then Help-> Install Modelling Components
> Pick EcoreTools (updates)
> A Ecore Diagram Editor, version 3.0.0.201507011611 is listed.
>
> That is installed, successfully and Eclipse restarts.
>
> Repeat Step 2 above.
> Same Error.
Previous Topic:[CDO] Does CDO support multiple packages having classes of same name.
Next Topic:Copy EObject between resources with saving id
Goto Forum:
  


Current Time: Mon Aug 19 23:32:43 GMT 2019

Powered by FUDForum. Page generated in 0.01866 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top